FIFO(1L)

NAME
fifo - a fifo buffer that reads from stdin and writes to stdout

SYNOPSIS
fifo [ options ]

DESCRIPTION
fifo creates a shared memory area, then forks into two processes. fifo then reads from stdin and puts the data into the shared memory area. The other process takes data from the shared memory area and writes it to stdout.

OPTIONS

bs=#
    Set both input and output block size to #. You may use the same method as in dd(1) and sdd(1). The number representing the size is taken in bytes unless otherwise specified. If a number is followed directly by the letter `.', `w', `b', `k', `m', `g', `t', or `p', the size is multiplied by 1, 2, 512, 1024, 1024*1024, 1024*1024*1024, 1024*1024*1024*1024 or 1024*1024*1024*1024*1024. If the size consists of numbers separated by `x' or `*', multiplication of the two numbers is performed. Thus bs=7x8k will specify a blocksize of 56 kBytes. Blocksize must be a multiple of 512 bytes.

fs=#
    Set fifo size to #. See bs= for the possible syntax.

    The default size of the fifo is 1 Mbyte on Sun mc68000 systems, 4 Mbytes on non mmap() aware Linux systems and 8 Mbytes on all other systems.

ibs=#
    Set input buffer size to #. See bs= for the possible syntax.

    If unspecified and input is a pipeline, PIPE_BUF is used.

obs=#
    Set output buffer size to #. See bs= for the possible syntax.

    If unspecified and output is a pipeline, PIPE_BUF is used.

-no-statistics
    Do not print fifo statistics at the end.

-debug
    Print additional debug messages.

-help
    Prints a short summary of the fifo options and exists.

-version
    Prints the fifo version number string and exists.

EXAMPLES

ENVIRONMENT

EXIT STATUS

FILES

SEE ALSO
sdd(1), star(1).

DIAGNOSTICS

NOTES

BUGS

AUTHORS
The fifo program was first written by J. Schilling in 1989 as a separate test program for buffering for star. It was later included into the star program. This program is a new attempt from 2019 to have a separate fifo program again.